Bug 249219 - www/fabio: Update to 1.5.14
Summary: www/fabio: Update to 1.5.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL: https://github.com/fabiolb/fabio/rele...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-09 18:30 UTC by Gian-Simon Purkert
Modified: 2020-11-08 13:28 UTC (History)
4 users (show)

See Also:
rhurlin: maintainer-feedback-


Attachments
Update to 1.5.13 (1.21 KB, patch)
2020-09-09 18:30 UTC, Gian-Simon Purkert
no flags Details | Diff
Update to 1.5.14 (1.21 KB, patch)
2020-10-06 11:20 UTC, Gian-Simon Purkert
no flags Details | Diff
Patch to the ports tree (15.38 KB, patch)
2020-11-05 15:00 UTC, Fernando Apesteguía
fernape: maintainer-approval? (stl)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gian-Simon Purkert 2020-09-09 18:30:02 UTC
Created attachment 217852 [details]
Update to 1.5.13
Comment 1 Fernando Apesteguía freebsd_committer 2020-09-10 12:32:26 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.


Thanks!
Comment 2 Steve Wills freebsd_committer 2020-09-10 13:15:59 UTC
This fails to build in poudriere:

===>  Building fabio from 
go: contrib.go.opencensus.io/exporter/ocagent@v0.3.0: Get "https://proxy.golang.org/contrib.go.opencensus.io/exporter/ocagent/@v/v0.3.0.mod": dial tcp: lookup proxy.golang.org on 168.63.129.16:53: write udp 127.0.0.1:42364->168.63.129.16:53: write: can't assign
Comment 3 Rainer Hurling freebsd_committer 2020-10-05 19:20:27 UTC
In the meantime version 1.5.14 has been released[1].

There are some bugfixes, so perhaps give it a chance to overcome the problems, Steve described in comment #2 ?


[1] https://github.com/fabiolb/fabio/releases
Comment 4 Gian-Simon Purkert 2020-10-06 11:20:09 UTC
Created attachment 218557 [details]
Update to 1.5.14
Comment 5 Rainer Hurling freebsd_committer 2020-10-06 11:39:56 UTC
(In reply to Gian-Simon Purkert from comment #4)

Hi, Thanks for the update. Does it build for you?


Building 1.5.14 on Poudriere, I get (like Steve in comment #2):
===>  Building fabio from 
go: contrib.go.opencensus.io/exporter/ocagent@v0.3.0: Get "https://proxy.golang.org/contrib.go.opencensus.io/exporter/ocagent/@v/v0.3.0.mod": dial tcp: lookup proxy.golang.org on 192.168.2.1:53: write udp 127.0.0.1:30817->192.168.2.1:53: write: can't assign requested address
*** Error code 1

Stop.
make: stopped in /usr/ports/www/fabio
=>> Cleaning up wrkdir
===>  Cleaning for fabio-1.5.14
build of www/fabio | fabio-1.5.14 ended at Tue Oct  6 13:34:23 CEST 2020
build time: 00:00:27
!!! build failure encountered !!!
Comment 6 Gian-Simon Purkert 2020-10-06 11:54:02 UTC
(In reply to Rainer Hurling from comment #5)

Hi, yes it builds perfectly>

That looks like a DNS problem, your jail? probably cannot look up proxy.golang.org on your host 192.168.2.1 port 53? Just an assumption.

dial tcp: lookup proxy.golang.org on 192.168.2.1:53: write udp 127.0.0.1:30817->192.168.2.1:53: write: can't assign requested address
Comment 7 Rainer Hurling freebsd_committer 2020-10-06 13:21:23 UTC
(In reply to Gian-Simon Purkert from comment #6)

I am afraid I have no experience with building ports on Poudriere, which need some network connection. Do we have to configure something for it on Poudriere?
Comment 8 Gian-Simon Purkert 2020-10-06 14:13:08 UTC
(In reply to Rainer Hurling from comment #7)

I'm a synth user atm and build the ports on a fresh VM, but want to migrate to poudriere in the near feauture.

So what i found its probably that setting in you poudriere.conf:

# The jails normally only allow network access during the 'make fetch'
# phase.  This is a security restriction to prevent random things
# ran during a build from accessing the network.  Disabling this
# is not advised.  ALLOW_NETWORKING_PACKAGES may be used to allow networking
# for a subset of packages only.
#RESTRICT_NETWORKING=yes

And maybe that (because its DNS, maybe some local_unbound restriction?):

# By default the jails have no /etc/resolv.conf, you will need to set
# RESOLV_CONF to a file on your hosts system that will be copied to
# /etc/resolv.conf for the jail, except if you don't need it (using an http
# proxy for example)
RESOLV_CONF=/etc/resolv.conf
Comment 9 Rainer Hurling freebsd_committer 2020-10-06 14:48:11 UTC
(In reply to Gian-Simon Purkert from comment #8)

Very good hit!

After setting ALLOW_NETWORKING_PACKAGES="go fabio" in 
/usr/local/etc/poudriere.conf, the build and install on Poudriere works fine :)


Did you try, if it is working as expected on FreeBSD?
Comment 10 Gian-Simon Purkert 2020-10-06 15:37:41 UTC
(In reply to Rainer Hurling from comment #9)

Nice to hear!

I tested it just with a very simple routing to a local web-server. Next week i can test it in a more "serious" environment.
Comment 11 Rainer Hurling freebsd_committer 2020-10-06 15:42:07 UTC
Ok, thanks for the feedback. I took the PR. 

Now we have to wait for the maintainer feedback.
Comment 12 Gian-Simon Purkert 2020-10-06 15:51:57 UTC
(In reply to Rainer Hurling from comment #11)

Thanks allot,

Have a great Day!
Comment 13 Gian-Simon Purkert 2020-11-05 12:11:06 UTC
Any updates?
Comment 14 Rainer Hurling freebsd_committer 2020-11-05 14:18:00 UTC
(In reply to Gian-Simon Purkert from comment #13)

Absolutely no response from maintainer. I think we should proceed without maintainer approval (maintainer-timeout).

I will prepare a review on Phabricator (because I am a mentored committer). Normally, my mentors approve in a really short term :)
Comment 15 Fernando Apesteguía freebsd_committer 2020-11-05 15:00:59 UTC
Created attachment 219371 [details]
Patch to the ports tree

Hi there :-)

I think adding the port to ALLOW_NETWORKING_PACKAGES is not the way to "go" (pun intended).

Ports should not have networking access beyond the fetch stage. What we should do is USE=go:modules and generate the proper GH_TUPLES so all the needed modules are retrieved during the fetch phase.

Note: I did not see in the handbook that USE_RC_SUBR are automatically added to plist but it seems so (see astro/gpsd as an example). So the pkg-plist is only two files and it is sufficient to have PLIST_FILES in the Makefile

Cheers!
Comment 16 Fernando Apesteguía freebsd_committer 2020-11-05 15:02:21 UTC
This builds in {11.4,12.1}{amd64,i386} and 13-current amd64 but I did NOT run test it :-)
Comment 17 Rainer Hurling freebsd_committer 2020-11-05 15:35:51 UTC
(In reply to Fernando Apesteguía from comment #15)

@Gian-Simon: I think, Fernando is right. The package builders could have problems with fetching the wanted files after the fetch stage.

Please see again if you can find a solution :)
Comment 18 Rainer Hurling freebsd_committer 2020-11-05 17:00:08 UTC
@Gian-Simon: I am sorry I overlooked a patch, already added by Fernando.

Could you please have a look on it? If you agree, I will use this new patch in my review[1] and if I get approval from my mentors, I will commit :)


[1] https://reviews.freebsd.org/D27105
Comment 19 commit-hook freebsd_committer 2020-11-08 13:23:27 UTC
A commit references this bug:

Author: rhurlin
Date: Sun Nov  8 13:23:06 UTC 2020
New revision: 554460
URL: https://svnweb.freebsd.org/changeset/ports/554460

Log:
  www/fabio: Update to 1.5.14

  The update from 1.5.9 to 1.5.14 brings many bug fixes, enhancements and some new features[1].

  [1] https://github.com/fabiolb/fabio/releases/

  PR:		249219
  Submitted by:	Gian-Simon Purkert <gspurki@gmail.com>
  Approved by:	tcberner (mentor), Scott Larson (maintainer timeout)
  Differential Revision:	https://reviews.freebsd.org/D27105

Changes:
  head/www/fabio/Makefile
  head/www/fabio/distinfo
  head/www/fabio/pkg-plist
Comment 20 Rainer Hurling freebsd_committer 2020-11-08 13:28:25 UTC
Committed, thanks :)